// creator  : weidu.exe (version 23600)
// argument : DRIZZT.DLG
// game     : .
// source   : ./override/DRIZZT.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~DRIZZT~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 15 even though they appear after this state */
~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #2444 /* ~You there! Will you help a stranger in need? I am beset by gnolls!~ */
  IF ~~ THEN REPLY #16325 /* ~Fear not, we will not stand aside while another is in peril.~ */ GOTO 1
  IF ~~ THEN REPLY #16326 /* ~This is not my concern and I would rather be elsewhere. Fight your own battles.~ */ GOTO 2
  IF ~Global("X#DRIZZT0","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT0","GLOBAL",1)~ EXTERN ~GARRIJ~ 217
  IF ~Global("X#DRIZZT0","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT0","GLOBAL",1)~ GOTO 22
  IF ~Global("X#DRIZZT0","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT0","GLOBAL",1)~ EXTERN ~GARRIJ~ 219
  IF ~Global("X#DRIZZT0","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT0","GLOBAL",1)~ EXTERN ~EDWINJ~ 215
END

IF ~~ THEN BEGIN 1 // from: 24.0 23.0 22.0 2.1 0.0 EDWINJ:215.0
  SAY #2445 /* ~The fight is joined, and I welcome your aid. Tiresome beasts these gnolls are, and I'll be glad to be done with them!~ */
  IF ~~ THEN DO ~SetGlobal("DrizztFight","GLOBAL",1)
~ EXIT
  IF ~Global("X#DRIZZT1","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT1","GLOBAL",1)~ EXTERN ~BRANWJ~ 91
  IF ~Global("X#DRIZZT1","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT1","GLOBAL",1)~ EXTERN ~AJANTJ~ 277
END

IF ~~ THEN BEGIN 2 // from: 24.1 23.1 22.1 0.1 EDWINJ:215.1
  SAY #2446 /* ~I see you standing out of the field of battle! Choose your side quickly, for I will be done forthwith and need to know whether to extend you my hand or my blade!~ */
  IF ~~ THEN REPLY #16327 /* ~I'll not suffer threats from someone begging my help. Perhaps these gnolls have the right idea! Perhaps you will die here today!~ */ DO ~SetGlobal("DrizztFight","GLOBAL",1)
~ GOTO 3
  IF ~~ THEN REPLY #16328 /* ~If a choice must be made, then I will help you.~ */ DO ~SetGlobal("DrizztFight","GLOBAL",1)
~ GOTO 1
  IF ~~ THEN REPLY #16358 /* ~Our minds are made up, drow! We'll not help you!~ */ DO ~SetGlobal("DrizztFight","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #2447 /* ~Enemies from the most surprising of sources, whenever I turn my head! I've no quarrel with you, so this must be your sport, and I have no quarter for those who kill for amusement!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
  IF ~Global("X#AjantisDrizzt3","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisDrizzt3","GLOBAL",1)~ EXTERN ~AJANTJ~ 85
END

IF ~~ THEN BEGIN 4 // from:
  SAY #2448 /* ~With a Twinkle your life has ended, and such a waste it was.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 15 even though they appear after this state */
~  Global("HelpDrizzt","GLOBAL",0)
Global("DrizztGnolls","GLOBAL",12)
~ THEN BEGIN 5 // from:
  SAY #2449 /* ~Had you joined the battle, I would know whether you are well met or not. As it is, I will simply take my leave and avoid the issue altogether. You are one of the few who can say your meeting with Drizzt Do'Urden was uneventful, as friend or foe.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
  IF ~Global("X#DRIZZT5","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT5","GLOBAL",1)~ GOTO 25
  IF ~Global("X#DRIZZT5","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT5","GLOBAL",1)~ EXTERN ~FALDOJ~ 174
  IF ~Global("X#DRIZZT5","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT5","GLOBAL",1)~ GOTO 27
  IF ~Global("X#DRIZZT5","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT5","GLOBAL",1)~ EXTERN ~FALDOJ~ 176
  IF ~Global("X#DRIZZT5","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT5","GLOBAL",1)~ GOTO 31
  IF ~Global("X#DRIZZT5","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DRIZZT5","GLOBAL",1)~ EXTERN ~EDWINJ~ 216
END

IF WEIGHT #3 /* Triggers after states #: 15 even though they appear after this state */
~  Global("HelpDrizzt","GLOBAL",1)
Global("DrizztGnolls","GLOBAL",12)
~ THEN BEGIN 6 // from:
  SAY #2450 /* ~Well met, stranger, I am Drizzt Do'Urden, and I appreciate your assistance. It is a long enough trip to the Icewind Dale, even without these constant interruptions. I do not recall banditry being of such epidemic proportions in this area. How long has this been so?~ */
  IF ~~ THEN REPLY #2459 /* ~It was not always thus, and I strive to return peace to these lands.~ */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 7
  IF ~~ THEN REPLY #2460 /* ~The blasted raids are endless, as is my hatred for those behind them!~ */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 8
  IF ~~ THEN REPLY #2461 /* ~The raids never cease, but with you here, we need worry no longer!~ */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 9
  IF ~Global("X#KivanDrizzt","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#KivanDrizzt","GLOBAL",1)~ EXTERN ~KIVANJ~ 218
END

IF ~~ THEN BEGIN 7 // from: 18.0 17.0 6.0
  SAY #2451 /* ~Noble goals indeed, and ones I would hold dear myself. Your struggle will be difficult, for the bandits that I have encountered—being beset at every turn as I am—are no mere vagabonds with blades. The humans bear the style of the Blacktalons, and the hobgoblins that of the Chill. Mercenary groups both of them, and as such it is unlikely they are the architects of this endeavor. You would do well to insinuate yourself into their ranks and determine their true masters. Difficult, but not impossible, and potentially the most fruitful course.~ */
  IF ~~ THEN REPLY #2462 /* ~This is sage advice which I will heed. Know that I think well of you on your journey.~ */ UNSOLVED_JOURNAL #26999 /* ~Troubles in the Region
Today I met Drizzt Do'Urden, and helped him rout some gnolls that were causing him trouble. He was grateful enough and offered some advice regarding the bandits in the area. He said the hobgoblin bandits resembled the Chill, and that the human bandits fought like the Blacktalons, both of which are mercenary groups. He suggested I infiltrate their ranks instead of fighting them directly, and I shall look into this if the opportunity arises.~ */ GOTO 10
  IF ~~ THEN REPLY #2463 /* ~Mere words are not what I need on this quest. If they are all the help you are offering, then I refuse it!~ */ GOTO 11
  IF ~~ THEN REPLY #2464 /* ~I would not have figured Drizzt Do'Urden to suggest I hide behind words. Perhaps you have lost some of your edge?~ */ GOTO 12
  IF ~Global("X#EdwinDrizzt3","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#EdwinDrizzt3","GLOBAL",1)~ EXTERN ~EDWINJ~ 99
END

IF ~~ THEN BEGIN 8 // from: 18.1 17.1 6.1
  SAY #2452 /* ~Such fuel burns hot and quick, but what of when it is spent? Attacking with hate may suffice, but it is by no means the most fruitful road to travel. These raiders of yours fight like mercenaries, and as such it is doubtful their bodies will give you more than the most cursory hint at who their masters are. Cool your fire, tread subtly, and you may find yourself closer to your true quarry. Be wary though, for the greater the potential reward, the greater the danger in acquiring it.~ */
  IF ~~ THEN REPLY #2465 /* ~That is sage advice which I will heed. Know that I think well of you on your journey.~ */ UNSOLVED_JOURNAL #27000 /* ~Troubles in the Region
I helped a dark elf by the name of Drizzt Do'Urden dispatch some troublesome gnolls. In return, he shared some intelligence about the local mercenary groups, the Chill and the Blacktalons. I may take his suggestion to infiltrate the groups rather than fighting them directly.~ */ GOTO 10
  IF ~~ THEN REPLY #2467 /* ~Mere words are not what I need on this quest. If they are all the help you are offering, then I refuse it!~ */ GOTO 11
  IF ~~ THEN REPLY #2469 /* ~I would not have figured Drizzt Do'Urden to suggest I hide behind words. Perhaps you have lost some of your edge?~ */ GOTO 12
  IF ~Global("X#EdwinDrizzt4","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#EdwinDrizzt4","GLOBAL",1)~ EXTERN ~EDWINJ~ 100
END

IF ~~ THEN BEGIN 9 // from: 18.2 17.2 6.2
  SAY #2453 /* ~Would that it were my only battle to fight, but I doubt that, upon thinking carefully, you would truly want my help. Many a powerful creature view me as enemy. Would you truly wish to cross a balor's gaze? Your path is yours alone to follow. Just tread carefully, and remember that your sword is secondary to your mind. Your opponents may have a harder time matching your wit than your blade.~ */
  IF ~~ THEN REPLY #2466 /* ~That is sage advice which I will heed. Know that I think well of you on your journey.~ */ UNSOLVED_JOURNAL #27001 /* ~Troubles in the Region
I helped a dark elf by the name of Drizzt Do'Urden dispatch some troublesome gnolls. While he would not join me, he shared some intelligence about the local mercenary groups, the Chill and the Blacktalons. I may take his suggestion to infiltrate the groups rather than fighting them directly.~ */ GOTO 10
  IF ~~ THEN REPLY #2468 /* ~Mere words are not what I need on this quest. If they are all the help you are offering, then I refuse it!~ */ GOTO 11
  IF ~~ THEN REPLY #2470 /* ~I would not have figured Drizzt Do'Urden to suggest I hide behind words. Perhaps you have lost some of your edge?~ */ GOTO 12
  IF ~Global("X#EdwinDrizzt5","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#EdwinDrizzt5","GLOBAL",1)~ EXTERN ~EDWINJ~ 101
END

IF ~~ THEN BEGIN 10 // from: 9.0 8.0 7.0 EDWINJ:101.0 EDWINJ:100.0 EDWINJ:99.0
  SAY #2454 /* ~Well met, friend. Luck be on your side.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #27002 /* ~The dark elf named Drizzt Do'Urden seems a deadly sort of fellow. I'll be glad never to get on the wrong side of his blades.~ */ EXIT
  IF ~Global("X#DynaheirQuestAvailable","GLOBAL",0)
Global("X#DynaJournal","GLOBAL",0)
~ THEN DO ~SetGlobal("X#DynaheirQuestAvailable","GLOBAL",1)~ GOTO 21
END

IF ~~ THEN BEGIN 11 // from: 9.1 8.1 7.1 EDWINJ:101.1 EDWINJ:100.1 EDWINJ:99.1
  SAY #2455 /* ~I will dismiss your ungratefulness as the impetuousness of youth and wish you the luck you will need.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #27003 /* ~This Drizzt Do'Urden should use his swords more than his mouth. I didn't need the lecture he offered me. Why does he even bother when he could kill practically anyone who disagrees with him?~ */ EXIT
END

IF ~~ THEN BEGIN 12 // from: 9.2 8.2 7.2 EDWINJ:101.2 EDWINJ:100.2 EDWINJ:99.2
  SAY #2456 /* ~Those that question my "edge" usually need but look deep inside themselves for their query's end. If you are lucky, my meaning is all you will catch. I take my leave.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #27004 /* ~Drizzt Do'Urden doesn't live up to his reputation. A few threatening words were all it took for me to put him in his place.~ */ EXIT
  IF ~Global("X#EdwinDrizzt6","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#EdwinDrizzt6","GLOBAL",1)~ EXTERN ~EDWINJ~ 102
END

IF ~~ THEN BEGIN 13 // from:
  SAY #2457 /* ~Your assault upon me was without cause, but I leave you your life. See that you put it to better use.~ */
  IF ~~ THEN DO ~SetGlobal("HelpedDrizzt","GLOBAL",3)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 14 // from:
  SAY #2458 /* ~You defy all reason! Make peace with your demons, and say hello to mine!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 15 // from:
  SAY #8977 /* ~I should like to travel with you a while, friend, but I've places I must be. A pleasure meeting you.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 16 // from:
  SAY #8978 /* ~I'll not spend another minute in the presence of such as you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 17 // from:
  SAY #45564 /* ~I know not how many of my kin are born and remain unspoiled by Lolth's teachings. But my father was. It may be that one day we may all come together and walk the surface as friends to all beings of good faith.~ */
  IF ~~ THEN REPLY #2459 /* ~It was not always thus, and I strive to return peace to these lands.~ */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 7
  IF ~~ THEN REPLY #2460 /* ~The blasted raids are endless, as is my hatred for those behind them!~ */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 8
  IF ~~ THEN REPLY #2461 /* ~The raids never cease, but with you here, we need worry no longer!~ */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 9
  IF ~  InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN EXTERN ~KIVANJ~ 220
  IF ~  InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN GOTO 18
  IF ~  InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN EXTERN ~KIVANJ~ 219
END

IF ~~ THEN BEGIN 18 // from: 17.4
  SAY #45566 /* ~Shevarash has a grimmer perspective. The thousands of years of hatred that divide our peoples will not be easily forgotten. We must hope, however. With Mielikki's blessing, Kivan.~ */
  IF ~~ THEN REPLY #2459 /* ~It was not always thus, and I strive to return peace to these lands.~ */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 7
  IF ~~ THEN REPLY #2460 /* ~The blasted raids are endless, as is my hatred for those behind them!~ */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 8
  IF ~~ THEN REPLY #2461 /* ~The raids never cease, but with you here, we need worry no longer!~ */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 9
  IF ~  InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN EXTERN ~KIVANJ~ 220
END

IF ~~ THEN BEGIN 19 // from: AJANTJ:85.1
  SAY #46126 /* ~Thank you, my valiant comrade.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 20 // from: EDWINJ:102.1
  SAY #46678 /* ~Your name? I've forgotten it already.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #27004 /* ~Drizzt Do'Urden doesn't live up to his reputation. A few threatening words were all it took for me to put him in his place.~ */ EXIT
END

IF ~~ THEN BEGIN 21 // from: 10.1
  SAY #49001 /* ~Perhaps I shall seek you out elsewhere along the Sword Coast.~ */
  IF ~~ THEN DO ~EscapeArea()
SetGlobal("X#DynaJournal","GLOBAL",1)
AddJournalEntry(49002,QUEST)
~ JOURNAL #27002 /* ~The dark elf named Drizzt Do'Urden seems a deadly sort of fellow. I'll be glad never to get on the wrong side of his blades.~ */ EXIT
END

IF ~~ THEN BEGIN 22 // from: 0.3
  SAY #50187 /* ~Indeed, and well met, young man! Will you aid me?~ */
  IF ~~ THEN REPLY #16325 /* ~Fear not, we will not stand aside while another is in peril.~ */ GOTO 1
  IF ~~ THEN REPLY #16326 /* ~This is not my concern and I would rather be elsewhere. Fight your own battles.~ */ GOTO 2
  IF ~  InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN EXTERN ~GARRIJ~ 218
END

IF ~~ THEN BEGIN 23 // from:
  SAY #50187 /* ~Indeed, and well met, young man! Will you aid me?~ */
  IF ~~ THEN REPLY #16325 /* ~Fear not, we will not stand aside while another is in peril.~ */ GOTO 1
  IF ~~ THEN REPLY #16326 /* ~This is not my concern and I would rather be elsewhere. Fight your own battles.~ */ GOTO 2
  IF ~  InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN EXTERN ~GARRIJ~ 220
END

IF ~~ THEN BEGIN 24 // from: EDWINJ:215.3
  SAY #50187 /* ~Indeed, and well met, young man! Will you aid me?~ */
  IF ~~ THEN REPLY #16325 /* ~Fear not, we will not stand aside while another is in peril.~ */ GOTO 1
  IF ~~ THEN REPLY #16326 /* ~This is not my concern and I would rather be elsewhere. Fight your own battles.~ */ GOTO 2
  IF ~  InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN EXTERN ~GARRIJ~ 222
END

IF ~~ THEN BEGIN 25 // from: 5.1
  SAY #50195 /* ~*smiles* If you are of the giantkin.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
END

IF ~~ THEN BEGIN 26 // from:
  SAY #50195 /* ~*smiles* If you are of the giantkin.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
END

IF ~~ THEN BEGIN 27 // from: 5.3
  SAY #50193 /* ~For the good cause, druid, I would fight with my bare hands.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 28
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 175
END

IF ~~ THEN BEGIN 28 // from: 27.1
  SAY #50195 /* ~*smiles* If you are of the giantkin.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
END

IF ~~ THEN BEGIN 29 // from:
  SAY #50193 /* ~For the good cause, druid, I would fight with my bare hands.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 30
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 177
END

IF ~~ THEN BEGIN 30 // from: 29.1
  SAY #50195 /* ~*smiles* If you are of the giantkin.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
END

IF ~~ THEN BEGIN 31 // from: 5.5
  SAY #31479 /* ~Farewell.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 33
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 179
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 32
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 178
END

IF ~~ THEN BEGIN 32 // from: 31.3
  SAY #50193 /* ~For the good cause, druid, I would fight with my bare hands.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 33
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 179
END

IF ~~ THEN BEGIN 33 // from: 32.1 31.1
  SAY #50195 /* ~*smiles* If you are of the giantkin.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
END

IF ~~ THEN BEGIN 34 // from: EDWINJ:216.5
  SAY #31479 /* ~Farewell.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 36
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 181
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 35
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 180
END

IF ~~ THEN BEGIN 35 // from: 34.3 EDWINJ:216.3
  SAY #50193 /* ~For the good cause, druid, I would fight with my bare hands.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 36
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 181
END

IF ~~ THEN BEGIN 36 // from: 35.1 34.1 EDWINJ:216.1
  SAY #50195 /* ~*smiles* If you are of the giantkin.~ */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL #26998 /* ~Troubles in the Region
While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ */ EXIT
END
